RDKit::CIPLabeler::SequenceRule Class Referenceabstract

`#include <SequenceRule.h>`

Inheritance diagram for RDKit::CIPLabeler::SequenceRule:

## Public Member Functions

| SequenceRule ()
virtual | ~SequenceRule ()
Descriptor | getBondLabel (const Edge *edge) const
int | getComparision (const Edge *a, const Edge *b) const
virtual int | getComparision (const Edge *a, const Edge *b, bool deep) const
virtual const Sort * | getSorter () const
int | recursiveCompare (const Edge *a, const Edge *b) const
void | setSorter (const Sort *sorter)
Priority | sort (const Node *node, std::vector< Edge * > &edges, bool deep) const
Priority | sort (const Node *node, std::vector< Edge * > &edges) const
virtual int | compare (const Edge *a, const Edge *b) const =0

## Protected Attributes

std::unique_ptr< const Sort > | dp_sorter = nullptr

## Detailed Description

Definition at line 35 of file SequenceRule.h.

## Constructor & Destructor Documentation

## SequenceRule()

RDKit::CIPLabeler::SequenceRule::SequenceRule | ( |  | ) |

## ~SequenceRule()

virtual RDKit::CIPLabeler::SequenceRule::~SequenceRule | ( |  | ) |

virtual

## Member Function Documentation

## compare()

virtual int RDKit::CIPLabeler::SequenceRule::compare | ( | const Edge * | a,
|  | const Edge * | b
| ) |  | const

pure virtual

Implemented in RDKit::CIPLabeler::Rules, RDKit::CIPLabeler::Rule6, RDKit::CIPLabeler::Rule5New, RDKit::CIPLabeler::Rule5, RDKit::CIPLabeler::Rule4c, RDKit::CIPLabeler::Rule4b, RDKit::CIPLabeler::Rule4a, RDKit::CIPLabeler::Rule3, RDKit::CIPLabeler::Rule2, RDKit::CIPLabeler::Rule1b, and RDKit::CIPLabeler::Rule1a.

## getBondLabel()

Descriptor RDKit::CIPLabeler::SequenceRule::getBondLabel | ( | const Edge * | edge | ) | const

## getComparision() [1/2]

int RDKit::CIPLabeler::SequenceRule::getComparision | ( | const Edge * | a,
|  | const Edge * | b
| ) |  | const

## getComparision() [2/2]

virtual int RDKit::CIPLabeler::SequenceRule::getComparision | ( | const Edge * | a,
|  | const Edge * | b,
|  | bool | deep
| ) |  | const

virtual

Reimplemented in RDKit::CIPLabeler::Rules.

## getSorter()

virtual const Sort* RDKit::CIPLabeler::SequenceRule::getSorter | ( |  | ) | const

virtual

Reimplemented in RDKit::CIPLabeler::Rules.

## recursiveCompare()

int RDKit::CIPLabeler::SequenceRule::recursiveCompare | ( | const Edge * | a,
|  | const Edge * | b
| ) |  | const

## setSorter()

void RDKit::CIPLabeler::SequenceRule::setSorter | ( | const Sort * | sorter | ) |

Referenced by RDKit::CIPLabeler::Rules::add(), and RDKit::CIPLabeler::Rules::getSorter().

## sort() [1/2]

Priority RDKit::CIPLabeler::SequenceRule::sort | ( | const Node * | node,
|  | std::vector< Edge * > & | edges
| ) |  | const

## sort() [2/2]

Priority RDKit::CIPLabeler::SequenceRule::sort | ( | const Node * | node,
|  | std::vector< Edge * > & | edges,
|  | bool | deep
| ) |  | const

## Member Data Documentation

## dp_sorter

std::unique_ptr<const Sort> RDKit::CIPLabeler::SequenceRule::dp_sorter = nullptr

protected

Definition at line 60 of file SequenceRule.h.

Referenced by RDKit::CIPLabeler::Rules::getSorter().

The documentation for this class was generated from the following file:

- SequenceRule.h